.floor-name {
  font-size: 1.2rem;
  text-align: center;
  margin-top: 0.5rem;
}

.sheating-chart {
  position: relative;
  width: fit-content;
  width: 800px;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.sheating-chart__section {
  margin-top: 4rem;
  margin-bottom: 4rem;
}

.sheating-chart__notice {
  position: relative;
  padding-left: 32px;
  width: fit-content;
  max-width: 100%;
  margin: 2rem auto 0;
}

.sheating-chart__notice .view-btn {
  top: 0;
  left: 0;
}

.view-btn {
  background: #F48C03;
  border: 1px solid #F48C03;
  position: absolute;
  width: 30px;
  height: 30px;
  border-radius: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  /* border: 0; */
  transition: all 0.3s;
}

.view-btn svg {
  width: 16px;
  height: 16px;
  color: #fff;
}

.view-btn:hover {
  background: #fff;
}

.view-btn:hover svg {
  width: 16px;
  height: 16px;
  color: #F48C03;
}

@media only screen and (max-width: 576px) {
  .view-btn {
    width: 25px;
    height: 25px;
  }

  .view-btn svg {
    width: 14px;
    height: 14px;
  }
}

.view-image {
  position: relative;
  max-width: 620px;
}

.view-image__wrap {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9000;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
}

.view-image__bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.view-image__close {
  position: absolute;
  top: -32px;
  right: -32px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2px;
  border: 0;
  background: #ff6600;
  border-radius: 100px;
  transition: all 0.3s;
}

.view-image__close:hover {
  opacity: 0.7;
}

@media only screen and (max-width: 1100px) {
  .view-image__close {
    top: -35px;
    right: 0;
  }
}

.view-image-enter {
  transition-duration: 200ms;
  transition-timing-function: ease-out;
}
.view-image-enter-start {
  opacity: 0;
}
.view-image-enter-end {
  opacity: 1;
}

/* 中劇場 */
/* floor 1 */
.playhouse .view-btn.view-1-3-8 {
  top: 16.5%;
  left: 24.1%
}
.playhouse .view-btn.view-1-3-19 {
  top: 17.25%;
  left: 50%;
  transform: translateX(-50%);
}
.playhouse .view-btn.view-1-3-31 {
  top: 16.5%;
  right: 24.1%;
}
.playhouse .view-btn.view-1-9-5 {
  top: 30.25%;
  left: 18.75%;
}
.playhouse .view-btn.view-1-9-19 {
  top: 32%;
  left: 50%;
  transform: translateX(-50%);
}
.playhouse .view-btn.view-1-9-33 {
  top: 30.25%;
  right: 18.75%;
}
.playhouse .view-btn.view-1-16-5 {
  top: 48%;
  left: 18.75%;
}
.playhouse .view-btn.view-1-16-19 {
  top: 49.6%;
  left: 50%;
  transform: translateX(-50%);
}
.playhouse .view-btn.view-1-16-34 {
  top: 47.75%;
  right: 17%;
}

/* floor 2 */
.playhouse .view-btn.view-2-2-4 {
  top: 72%;
  left: 17.4%;
}
.playhouse .view-btn.view-2-2-19 {
  top: 76.5%;
  left: 50%;
  transform: translateX(-50%);
}
.playhouse .view-btn.view-2-2-34 {
  top: 72%;
  right: 17.4%;
}
.playhouse .view-btn.view-2-6-4 {
  top: 85%;
  left: 17.5%;
}
.playhouse .view-btn.view-2-6-34 {
  top: 85%;
  right: 17.5%;
}
.playhouse .view-btn.view-2-7-19 {
  top: 89.75%;
  left: 50%;
  transform: translateX(-50%);
}

/* 大劇場 */
/* floor 1 */
.grand-theater .view-btn.view-1-3-9 {
  top: 7.5%;
  left: 30.25%;
}
.grand-theater .view-btn.view-1-3-22 {
  top: 8.7%;
  left: 50%;
  transform: translateX(-50%);
}
.grand-theater .view-btn.view-1-3-35 {
  top: 7.5%;
  right: 30.25%;
}
.grand-theater .view-btn.view-1-9-6 {
  top: 14%;
  left: 26.5%;
}
.grand-theater .view-btn.view-1-9-22 {
  top: 15.5%;
  left: 50%;
  transform: translateX(-50%);
}
.grand-theater .view-btn.view-1-9-38 {
  top: 14%;
  right: 26.5%;
}
.grand-theater .view-btn.view-1-13-8 {
  top: 19.2%;
  left: 30%;
}
.grand-theater .view-btn.view-1-16-6 {
  top: 24.75%;
  left: 26.5%;
}
.grand-theater .view-btn.view-1-16-22 {
  top: 26%;
  left: 50%;
  transform: translateX(-50%);
}
.grand-theater .view-btn.view-1-16-38 {
  top: 24.75%;
  right: 26.5%;
}
.grand-theater .view-btn.view-1-25-6 {
  top: 35.25%;
  left: 26.5%;
}
.grand-theater .view-btn.view-1-25-22 {
  top: 36.25%;
  left: 50%;
  transform: translateX(-50%);
}
.grand-theater .view-btn.view-1-25-38 {
  top: 35.25%;
  right: 26.5%;
}

/* floor 2 */
.grand-theater .view-btn.view-2-gbl-1 {
  top: 25.5%;
  left: 8%;
}
.grand-theater .view-btn.view-2-gbr-4 {
  top: 28.5%;
  right: 8%;
}
.grand-theater .view-btn.view-2-2bl-5 {
  top: 46%;
  left: 19.5%;
}
.grand-theater .view-btn.view-2-2br-5 {
  top: 46%;
  right: 19.5%;
}
.grand-theater .view-btn.view-2-1-22 {
  top: 58%;
  left: 50%;
  transform: translateX(-50%);
}
.grand-theater .view-btn.view-2-4-6 {
  top: 59.25%;
  left: 26.5%;
}
.grand-theater .view-btn.view-2-4-38 {
  top: 59.25%;
  right: 26.5%;
}
.grand-theater .view-btn.view-2-7-22 {
  top: 64.5%;
  left: 50%;
  transform: translateX(-50%);
}

/* floor 3 */
.grand-theater .view-btn.view-3-3bl-5 {
  top: 73.75%;
  left: 19.75%;
}
.grand-theater .view-btn.view-3-3br-5 {
  top: 73.75%;
  right: 19.75%;
}
.grand-theater .view-btn.view-3-1-22 {
  top: 85%;
  left: 50%;
  transform: translateX(-50%);
}
.grand-theater .view-btn.view-3-4-5 {
  top: 86.25%;
  left: 24.25%;
}
.grand-theater .view-btn.view-3-4-22 {
  top: 88.75%;
  left: 50%;
  transform: translateX(-50%);
}
.grand-theater .view-btn.view-3-4-39 {
  top: 86.25%;
  right: 24.25%;
}
.grand-theater .view-btn.view-3-7-22 {
  top: 92.5%;
  left: 50%;
  transform: translateX(-50%);
}
